# startPublishCDNStream method Null safety

Future<void> startPublishCDNStream(

1. TRTCPublishCDNParam param

)

Start relaying to the live streaming CDN of another cloud

The `startPublishCDNStream()` API is similar to `startPublishing()`, but it supports relaying to the live streaming CDN of another cloud.

Parameters

param CDN relaying parameter. For more information, please see `TRTCPublishCDNParam`

Note:

Using `startPublishing()` to bind Tencent Cloud CSS CDN does not incur fees, while using `startPublishCDNStream()` to bind the live streaming CDN of another cloud incurs relaying fees.

## Implementation

    Future<void> startPublishCDNStream(TRTCPublishCDNParam param) {
      return _channel.invokeMethod('startPublishCDNStream', {
        "param": jsonEncode(param),
      });
    }